﻿using System;
using System.Drawing;
using System.Drawing.Imaging;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace STDIO_ScreenCapture
{
    class Program
    {
        private static Bitmap screenBitmap;
        private static Graphics screenGraphics;

        [STAThread]
        static void Main(string[] args)
        {
            SaveFileDialog saveDialog = new SaveFileDialog();
            // Set filter options and filter index.
            saveDialog.Filter = "PNG Files (.png)|*.png|All Files (*.*)|*.*";
            saveDialog.FilterIndex = 1;

            if (saveDialog.ShowDialog() == DialogResult.OK)
            {
                screenBitmap = new Bitmap(Screen.PrimaryScreen.Bounds.Width, 
                                            Screen.PrimaryScreen.Bounds.Height, 
                                            PixelFormat.Format32bppArgb);                
                screenGraphics = Graphics.FromImage(screenBitmap);
                screenGraphics.CopyFromScreen(Screen.PrimaryScreen.Bounds.X, Screen.PrimaryScreen.Bounds.Y, 
                                        0, 0, Screen.PrimaryScreen.Bounds.Size, CopyPixelOperation.SourceCopy);
                screenBitmap.Save(saveDialog.FileName, ImageFormat.Png);
            }
        }
    }
}
